MACAlgorithm (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.crypto.tls

## Class MACAlgorithm

- java.lang.Object
- - org.bouncycastle.crypto.tls.MACAlgorithm

-     public class MACAlgorithm
      extends java.lang.Object

  RFC 2246

  Note that the values here are implementation-specific and arbitrary. It is recommended not to depend on the particular values (e.g. serialization).

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `_null`
    `static int` | `hmac_md5`
    `static int` | `hmac_sha1`
    `static int` | `hmac_sha256`
    `static int` | `hmac_sha384`
    `static int` | `hmac_sha512`
    `static int` | `md5`
    `static int` | `sha`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MACAlgorithm()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _null

          public static final int _null

      See Also:
        Constant Field Values

    - #### md5

          public static final int md5

      See Also:
        Constant Field Values

    - #### sha

          public static final int sha

      See Also:
        Constant Field Values

    - #### hmac_md5

          public static final int hmac_md5

      See Also:
        Constant Field Values

    - #### hmac_sha1

          public static final int hmac_sha1

      See Also:
        Constant Field Values

    - #### hmac_sha256

          public static final int hmac_sha256

      See Also:
        Constant Field Values

    - #### hmac_sha384

          public static final int hmac_sha384

      See Also:
        Constant Field Values

    - #### hmac_sha512

          public static final int hmac_sha512

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MACAlgorithm

          public MACAlgorithm()